package com.iwe3.langchain4j;

import com.iwe3.langchain4j.service.ChatAssistant;
import jakarta.annotation.Resource;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
class ToolsApplicationTest {

    @Resource
    private ChatAssistant chatAssistant;

    @Test
    public void getWeatherByMemoryId(){
        var res = chatAssistant.chat(1,"成都今天天气如何？城市编码：510100");
        System.out.println("res = " + res);
    }

    @Test
    public void getWeather(){
        var res = chatAssistant.chat("成都今天天气如何？城市编码：510100");
        System.out.println("res = " + res);
    }

}